pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/41906 (lang/python25 fails to package on Darwin: lib-dynload/

I think I've tracked this down a transform.sed (pkgsrc wrappers) issue.

Line 254 of my transform.sed has this RE:

s|^-I/[^    `"':;,]*$||g

Which will make short work of the include path that is handed to it:

 | /usr/bin/sed -e 1s/^X// -f ../.wrapper/tmp/transform.sed

However it needs that include path to find header files and such. Once that 
line is removed (from transform.sed) then Python is able to be built and 
packaged seemingly fine and the pyexpat works from from Python.

I don't know if this is a Darwin sed (gsed?) issue or the Python build system 
is using absolute paths or something. Thoughts? Obviously the NetBSD package 
works fine so I have to assume that this is a Darwin issue.

Thanks, - Jesse

On Wed, 19 Aug 2009 10:04:30 +0000 (UTC) wrote:

> Synopsis: lang/python25 fails to package on Darwin: lib-dynload/
> Responsible-Changed-From-To: pkg-manager->darwin-pkg-people
> Responsible-Changed-By:
> Responsible-Changed-When: Wed, 19 Aug 2009 10:04:28 +0000
> Responsible-Changed-Why:
> Problem on Darwin.

Jesse Peterson <>

Home | Main Index | Thread Index | Old Index